%define name    gecko-sharp
%define version 0.6
%define release %mkrel 13
%define pkgconfigdir %_datadir/pkgconfig

Summary:       Gecko-sharp is a C# language binding for the gtkembedmoz widget
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source:        http://go-mono.com/archive/1.0.3/%{name}-%{version}.tar.xz
URL:           http://www.go-mono.com
License:       LGPL/MPL
Group:         System/Libraries
Provides:      gtkmozembed-sharp == %{version}
Requires:      mono >= 0.95
Requires:      gtk-sharp >= 0.93
Requires:      mozilla-firefox
BuildRequires: gtk2-devel
BuildRequires: gtk-sharp-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version

%description 
Gecko-sharp is a C# language binding for the gtkembedmoz widget. You
can use it to embed mozilla into C# programs.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
%makeinstall_std pkgconfigdir=%pkgconfigdir
rm -f %buildroot%_bindir/webshot
rm -f %buildroot%_prefix/lib/gecko-sharp/WebThumbnailer.exe

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog COPYING README sample
%{_prefix}/lib/mono/gac/*
%{_prefix}/lib/mono/gecko-sharp
%{_prefix}/lib/gecko-sharp
%{pkgconfigdir}/*


%changelog
* Wed Oct 13 2010 Texstar <texstar at gmail.com> 0.6-13pclos2010
- rebuild

* Mon Oct 19 2009 Texstar <texstar at gmail.com> 0.6-12pclos2010
- rebuild

* Wed Aug 01 2007 Texstar <texstar@gmail.com> 0.6-11pclos2007
- rebuild

* Thu May 03 2007 Bart the Build Bot <bartbot@pclinuxos.com> 0.6-10pclos2007
- Rebuild against updated mono-1.2.3.1

* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 0.6-9pclos2007
- Build for PCLinuxOS 2007

